Subject: Re: Use of option 61 in DHCP authentication

From: Vipul Gupta <[email-masked]>
Date: Mon, 21 Aug 2000 10:02:19 -0700 (PDT)

As an example of a unique id, how about referencing the Network 
   Access Identifier (NAI) defined in RFC 2486? This is already
   used to identify PPP users uniquely when they roam across
   domains.
   
   The draft at http://playground.sun.com/~vgupta/draft-gupta-dhcp-auth-01.txt
   which describes public-key based DHCP authentication also 
   shows how the NAI may be passed in option 61 to identify DHCP
   clients that roam across multiple domains.
   
   regards,
   
   vipul
   
> I was trying for a unique id so that we could handle intra-domain at some
> point in the future. Given that the uuid is not an RFC though, I have no
> problems with saying option 61.  I would like to caveat it by explaining
> to people it's good to use a unique.
> 
> -----------------------------------------------------------------------
> Bill Arbaugh			   
> email:  [email-masked] 
> web:    http://www.cis.upenn.edu/~waa
> -----------------------------------------------------------------------  
> 
> On Thu, 17 Aug 2000, Ralph Droms wrote:
> 
> > Bill - rev -14 of the draft calls for the use of option 61 in 
> > authentication protocol 1, with a reference an expired draft by Mike Henry, 
> > "DHCP Option 61 UUID Type Definition" 
> > <draft-henry-DHCP-opt61-UUID-type-00.txt>, which defines the syntax for 
> > expressing a UUID within option 61.
> > 
> > I don't see where it's necessary to use the UUID form of identification, 
> > unless you're trying to guarantee unique identification.  Would it be 
> > acceptable to change the draft to allow the use of any style of client 
> > identifier in option 61?
> > 
> > - Ralph
> > 
> > 
>